import org.danilopianini.gradle.gitsemver.UpdateType

plugins {
    id("org.danilopianini.git-sensitive-semantic-versioning")
}

gitSemVer {
    developmentIdentifier.set("dev")
    fullHash.set(false)
    developmentCounterLength.set(2)
    enforceSemanticVersioning.set(true)
    commitNameBasedUpdateStrategy { UpdateType.PATCH }
}
